<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Activity: CSS Introduction</title>

    <!-- Code for Internal Styling -->
    <style>
        #internal-style-me {
            color: orange;
        }
    </style>
    <!-- End of Internal Styling -->

    <!-- Code for External Styling -->
    <link rel="stylesheet" href="./style.css">
    <!-- End of External Styling -->

    <!-- Just to get fonts from Google Fonts -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto">
    <!-- End Google Fonts -->

    </head>
    <body>

        <!-- Different ways to include CSS -->
        <p style="color:red;">Apply inline styling here.</p>
        <p id="internal-style-me">Apply internal styling here.</p>
        <p id="external-style-me">Apply external styling here.</p>

        <!-- CSS Selectors -->
        <h1>CSS Introduction Activity</h1>

        <h2 id="h2-uppercase">The following are things you will learn in this bootcamp:</h2>

        <h3>Languages to be Learned</h3>
        <ol>
            <li class="languages-to-learn">Hypertext Markup Language</li>
            <li class="languages-to-learn">Cascading Style Sheet</li>
            <li class="languages-to-learn">JavaScript</li>
        </ol>

        <h3>Tools to be Used</h3>
        <ol>
            <li class="li-attribute">Sublime Text</li>
            <li class="li-attribute">Postman</li>
            <li class="li-attribute">Heroku</li>
            <li class="li-attribute">GitLab</li>
        </ol>

        <!-- Combinator Selectors -->
        <section>
            <h4>Other Things to be Learned</h4>
            <img src="https://upload.wikimedia.org/wikipedia/commons/thumb/9/99/Unofficial_JavaScript_logo_2.svg/480px-Unofficial_JavaScript_logo_2.svg.png">
            <ul>
                <li>Node.js</li>
                <li>Express.js</li>
                <li>React.js</li>
                <li>MongoDB</li>
            </ul>
            <p>Web development is a continuous process. Never stop learning and always look for ways to innovate.</p>
        </section>

    </body>
</html>
